#include <stdio.h>
#include <asm/io.h>
#include <signal.h>
#include <unistd.h>

int data;

void endsignal() {
  data = inb(PORT + 1);
  printf("\nProtection by WatchDog stopped!\n");
  exit(0);
}

int main(int argc, char **argv) {
  printf("WatchDog on port %#3.3x, interval %is\n", PORT, PAUSE);
  printf("(C) V1.00 1.98 Beat Rubischon <beat@rubis.ch> - see COPYING for details\n");

  if (fork() != 0) exit(0);

  signal(SIGINT, endsignal);
  signal(SIGTERM, endsignal);

  ioperm(PORT, 2, 1);

  while(1) {
    data = inb(PORT);
    sleep(PAUSE);
  }
}
